<?php
/*
Plugin Name: WP RSlogin
Plugin URI: http://www.sutanaryan.com/freebies/plugins/wp-rslogin/
Description: An elegant jQuery Ajax Wordpress plugin that helps your users login without touching in the admin panel.
Author: Ryan Sutana
Version: 1.0.5
Author URI: http://www.sutanaryan.com/
*/

include_once ( ABSPATH . WPINC . '/pluggable.php' );
include_once ( ABSPATH . WPINC . '/query.php' );
include_once ( dirname(__FILE__) . '/inc/functions.php' );

add_action('wp_head','add_to_head');
function add_to_head() {
echo '<link rel="stylesheet" href="'.plugins_url('css/rslogin-style.css', __FILE__).'" type="text/css" media="all" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.0/jquery.min.js"></script>';
}

function wp_rslogin() { ?>
	
	<div class="panel-cotainer">

		<div class="panel">
			<?php
				global $current_user;
				get_currentuserinfo();
				
				if ( is_user_logged_in() ) { ?>
						<div class="loggedin">
							<div class="profile-pic">
								<?php echo get_gravatar($current_user->user_email, 45, 'mm', 'g', true); ?>
							</div>
							<div class="profile-info">
								<p class="userlogged">Hi, <a href="<?php echo admin_url(); ?>profile.php"><?php echo (($current_user->display_name != "") ? $current_user->display_name : $current_user->user_login) ?></a></p>
							</div> <div class="clear"></div>
							
							<ul class="user-info-list">
								<li><a href="<?php echo admin_url(); ?>" title="Dashboard">Dashboard</a></li>
								<li><a href="<?php echo admin_url(); ?>profile.php" title="Profile">Profile</a></li>
							</ul>
							<p><a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="Logout" class="button logout"><strong>Logout</strong></a></p>
						</div>
					
				<?php } else { ?>
					<h2 class="h3">Login</h2> 
					<div class="errBox">
						<div class="errMsg"></div>
					</div>
					<form method="post" id="loginform"> <fieldset>
						<p><label class="label" for="username">Username </label> <br />
							<input type="text" name="username" id="username" size="30" /></p>
						<p><label class="label" for="password">Password </label> <br />
							<input type="password" name="password" id="password" size="30" /> </p>
						<p><label class="label"><input type="checkbox" name="rememberme" id="rememberme" value="true" /> Remember Me</label></p>
						<p><input type="submit" value="Log In" class="button" /> <em id="loading"></em> </p>
						<p>Not a member?  <a href="<?php admin_url() ?>wp-login.php?action=register">Register today!</a></p>
						<input type="hidden" name="task" value="login" />
					</fieldset></form> <?php
				}
			?>
		</div>
		<script type="text/javascript">

			var L = jQuery.noConflict();
			L("#loginform").submit(function(){

				etask = this.task.value;
				eusername = this.username.value;
				epassword = this.password.value;
				erememberme = this.rememberme.value;
				
				L("#loading").addClass("loading");
				
				var loginPost = L.post("<?php echo plugins_url('login.php', __FILE__); ?>", { task: etask, username: eusername, password: epassword, rememberme: erememberme }, function(ldata) {
					
					L("#loading").removeClass("loading");
					
					if(ldata=='0') { L(".errMsg").html('<p><strong>ERROR:</strong> All fields are requierd.</p>'); return false; }
					else if(ldata=='2') { L(".errMsg").html('<p><strong>ERROR:</strong> Username and password do not match.</p>'); return false; }
					else {
						location.reload(); L(".errMsg").html('');
					}
					return false;
					
				});
				return false;

			});
		</script>

	</div> <?php
}

add_shortcode("wp_rslogin", "wp_rslogin");

?>